FileChooser (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.sequenceChooser
Class FileChooser

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.sequenceChooser.FileChooser

public class FileChooser
extends java.lang.Object

Creates a JFileChooser and add it to the Box.

Field Summary
`private java.lang.String` | `currentDirectory`
`private javax.swing.JFileChooser` | `fc`
`private TextFieldSink` | `fileName`
`private java.lang.String` | `fileSelected`
`private javax.swing.JLabel` | `lname`

Constructor Summary
`FileChooser(javax.swing.Box bdown, java.lang.String name, JembossParams mysettings)`

Method Summary
`java.lang.String` | `getFileChosen()`
`javax.swing.JFileChooser` | `getJFileChooser()`
`java.awt.Dimension` | `getPreferredSize()`
`TextFieldSink` | `getTextFieldSink()`
`void` | `setForeground(java.awt.Color c)`
`void` | `setPreferredSize(java.awt.Dimension d)`
`void` | `setSize(java.awt.Dimension d)`
`void` | `setText(java.lang.String txt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileSelected

    private java.lang.String fileSelected

### fc

    private final javax.swing.JFileChooser fc

### fileName

    private TextFieldSink fileName

### currentDirectory

    private java.lang.String currentDirectory

### lname

    private javax.swing.JLabel lname

Constructor Detail

### FileChooser

    public FileChooser(javax.swing.Box bdown,
                       java.lang.String name,
                       JembossParams mysettings)

Method Detail

### getFileChosen

    public java.lang.String getFileChosen()

### getJFileChooser

    public javax.swing.JFileChooser getJFileChooser()

### getTextFieldSink

    public TextFieldSink getTextFieldSink()

### setText

    public void setText(java.lang.String txt)

### setSize

    public void setSize(java.awt.Dimension d)

### setPreferredSize

    public void setPreferredSize(java.awt.Dimension d)

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

### setForeground

    public void setForeground(java.awt.Color c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD